Ошибка в пакетах i686, не найденных при установке с помощью yum? (по архитектуре x64)

Я получаю эти ошибки при запуске yum install … (практически для любого пакета)

«Examplerepo» относится к моему репозиторию в /etc/yum.repos.d который я настроил для указания на baseurl=http://vault.centos.org/7.3.1611/os/x86_64/

 Error: Package: tigervnc-server-minimal-1.3.1-9.el7.x86_64 (@ftp3) Requires: libX11.so.6()(64bit) Removing: libX11-1.6.3-3.el7.x86_64 (@ftp3) libX11.so.6()(64bit) Updated By: libX11-1.6.4-3.el6.i686 (examplerepo) Not found Error: Package: cairo-1.14.2-1.el7.x86_64 (@ftp3-updates) Requires: libxcb-shm.so.0()(64bit) Removing: libxcb-1.11-4.el7.x86_64 (@ftp3-updates) libxcb-shm.so.0()(64bit) Updated By: libxcb-1.12-4.el6.i686 (examplerepo) Not found Error: Package: 1:totem-3.14.3-6.el7.x86_64 (@ftp3) Requires: libX11.so.6()(64bit) Removing: libX11-1.6.3-3.el7.x86_64 (@ftp3) libX11.so.6()(64bit) Updated By: libX11-1.6.4-3.el6.i686 (examplerepo) Not found You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest - Error: Package: tigervnc-server-minimal-1.3.1-9.el7.x86_64 (@ftp3) Requires: libX11.so.6()(64bit) Removing: libX11-1.6.3-3.el7.x86_64 (@ftp3) libX11.so.6()(64bit) Updated By: libX11-1.6.4-3.el6.i686 (examplerepo) Not found Error: Package: cairo-1.14.2-1.el7.x86_64 (@ftp3-updates) Requires: libxcb-shm.so.0()(64bit) Removing: libxcb-1.11-4.el7.x86_64 (@ftp3-updates) libxcb-shm.so.0()(64bit) Updated By: libxcb-1.12-4.el6.i686 (examplerepo) Not found Error: Package: 1:totem-3.14.3-6.el7.x86_64 (@ftp3) Requires: libX11.so.6()(64bit) Removing: libX11-1.6.3-3.el7.x86_64 (@ftp3) libX11.so.6()(64bit) Updated By: libX11-1.6.4-3.el6.i686 (examplerepo) Not found You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest - Error: Package: tigervnc-server-minimal-1.3.1-9.el7.x86_64 (@ftp3) Requires: libX11.so.6()(64bit) Removing: libX11-1.6.3-3.el7.x86_64 (@ftp3) libX11.so.6()(64bit) Updated By: libX11-1.6.4-3.el6.i686 (examplerepo) Not found Error: Package: cairo-1.14.2-1.el7.x86_64 (@ftp3-updates) Requires: libxcb-shm.so.0()(64bit) Removing: libxcb-1.11-4.el7.x86_64 (@ftp3-updates) libxcb-shm.so.0()(64bit) Updated By: libxcb-1.12-4.el6.i686 (examplerepo) Not found Error: Package: 1:totem-3.14.3-6.el7.x86_64 (@ftp3) Requires: libX11.so.6()(64bit) Removing: libX11-1.6.3-3.el7.x86_64 (@ftp3) libX11.so.6()(64bit) Updated By: libX11-1.6.4-3.el6.i686 (examplerepo) Not found You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest - Error: Package: tigervnc-server-minimal-1.3.1-9.el7.x86_64 (@ftp3) Requires: libX11.so.6()(64bit) Removing: libX11-1.6.3-3.el7.x86_64 (@ftp3) libX11.so.6()(64bit) Updated By: libX11-1.6.4-3.el6.i686 (examplerepo) Not found Error: Package: cairo-1.14.2-1.el7.x86_64 (@ftp3-updates) Requires: libxcb-shm.so.0()(64bit) Removing: libxcb-1.11-4.el7.x86_64 (@ftp3-updates) libxcb-shm.so.0()(64bit) Updated By: libxcb-1.12-4.el6.i686 (examplerepo) Not found Error: Package: 1:totem-3.14.3-6.el7.x86_64 (@ftp3) Requires: libX11.so.6()(64bit) Removing: libX11-1.6.3-3.el7.x86_64 (@ftp3) libX11.so.6()(64bit) Updated By: libX11-1.6.4-3.el6.i686 (examplerepo) Not found You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest 

Спасибо @cutrightjm за ответ. Я изменил URL-адрес на что-то, что на самом деле работает, тогда yum clean all + yum check-update исправил проблему.